Loading...
Searching...
No Matches
DbDataProvider::DbTableBulkRecordInterface Class Reference

Defines the record iterator class for Table-based iterators. More...

`#include <DbTableBulkRecordInterface.qc.dox.h>`

## Public Member Functions

| constructor (int block_size, AbstractTable table, *hash< auto > where_cond, *hash< auto > search_options)
| creates the iterator
| destructor ()
| rolls back the transaction if a transaction lock was acquired in the constructor and keepTransactionLock() was not called
*hash< string, AbstractDataField > | getRecordType ()
| Returns the record description, if available.
| keepTransactionLock ()
| Ensures that no rollback is performed when the object is destroyed.

## Protected Member Functions

hash< string, list< auto > > | getValueImpl ()
| Returns a hash of lists according to the block size.

## Private Attributes

bool | release_transaction
| release the transaction with a rollback in the destructor?
AbstractSQLStatement | stmt
| the statement being iterated
AbstractTable | table
| The table being iterated.

## Detailed Description

Defines the record iterator class for Table-based iterators.

## Member Function Documentation

## constructor()

DbDataProvider::DbTableBulkRecordInterface::constructor | ( | int | block_size,
|  | AbstractTable | table,
|  | *hash< auto > | where_cond,
|  | *hash< auto > | search_options )

creates the iterator

Parameters

  block_size | the number of records in a read block; must be a positive number
  table | the table to iteratate
  where_cond | the search criteria; will be processed by processFieldValues()
  search_options | search options; assumed to have already been processed for validity before this call

## getRecordType()

*hash< string, AbstractDataField > DbDataProvider::DbTableBulkRecordInterface::getRecordType | ( |  | ) |

Returns the record description, if available.

Returns
  the record type of the table

## getValueImpl()

hash< string, list< auto > > DbDataProvider::DbTableBulkRecordInterface::getValueImpl | ( |  | ) |

protected

Returns a hash of lists according to the block size.

Exceptions

  INVALID-ITERATOR | the iterator is not pointing at a valid element

Note
  This call moves the internal record pointer forward, therefore multiple calls of this methods will return different results as long as data is available